<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:descendantFocusability="afterDescendants"
    android:focusable="true"
    android:orientation="vertical"
    android:contentDescription="历史收藏列表项"
    android:paddingLeft="@dimen/d_10dp"
    android:paddingRight="@dimen/d_10dp"
    android:paddingTop="@dimen/d_13dp">


    <RelativeLayout
        android:id="@+id/content_layout"
        android:layout_width="@dimen/d_180dp"
        android:layout_height="@dimen/d_237dp"
        android:background="@drawable/common_bg_shadow_history"
        android:descendantFocusability="blocksDescendants"
        android:focusable="true"
        android:focusableInTouchMode="true"
        android:orientation="vertical">

        <ImageView
            android:id="@+id/adapter_history_item_pic"
            android:layout_width="@dimen/d_180dp"
            android:layout_height="@dimen/d_237dp"
            android:background="@drawable/default_pic_loading"
            android:focusable="false"
            android:scaleType="centerCrop" />

        <TextView
            android:id="@+id/adapter_history_item_focus"
            android:layout_width="@dimen/d_40dp"
            android:layout_height="@dimen/d_40dp"
            android:layout_alignRight="@id/adapter_history_item_pic"
            android:layout_alignTop="@id/adapter_history_item_pic"
            android:background="@drawable/find_new"
            android:focusable="false" />


        <LinearLayout
            android:id="@+id/text_layout"
            android:layout_width="@dimen/d_180dp"
            android:layout_height="wrap_content"
            android:paddingTop="@dimen/d_3dp"
            android:paddingBottom="@dimen/d_3dp"
            android:layout_alignBottom="@id/adapter_history_item_pic"
            android:background="#B2000000"
            android:focusable="false"
            android:orientation="vertical"
            android:paddingLeft="@dimen/d_7dp">


            <TextView
                android:id="@+id/adapter_history_item_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:ellipsize="marquee"
                android:focusable="false"
                android:marqueeRepeatLimit="marquee_forever"
                android:maxWidth="@dimen/d_167dp"
                android:singleLine="true"
                android:textColor="@color/white"
                android:textSize="@dimen/s_15sp"
                android:visibility="gone" />

            <TextView
                android:id="@+id/adapter_history_item_playtime"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:ellipsize="marquee"
                android:marqueeRepeatLimit="marquee_forever"
                android:singleLine="true"
                android:textColor="@color/white"
                android:textSize="@dimen/s_15sp"
                android:visibility="gone" />
        </LinearLayout>

        <ProgressBar
            android:id="@+id/adapter_history_item_timeprogress"
            style="?android:attr/progressBarStyleHorizontal"
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_2dp"
            android:layout_above="@id/text_layout"
            android:focusable="false"
            android:max="100"
            android:progressDrawable="@drawable/progress_time"
            android:visibility="gone" />
    </RelativeLayout>

    <TextView
        android:id="@+id/adapter_history_item_del_tv"
        android:layout_width="@dimen/d_180dp"
        android:layout_height="@dimen/d_24dp"
        android:layout_below="@id/content_layout"
        android:background="@color/deltext"
        android:focusable="true"
        android:gravity="center"
        android:text="删除"
        android:paddingBottom="@dimen/d_2dp"
        android:textColor="@color/white_alpha_10"
        android:textSize="@dimen/s_15sp"
        android:visibility="gone" />
</RelativeLayout>